summaryrefslogtreecommitdiffstats
path: root/source/xap/geeqie/geeqie.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/geeqie/geeqie.SlackBuild')
-rwxr-xr-xsource/xap/geeqie/geeqie.SlackBuild49
1 files changed, 33 insertions, 16 deletions
diff --git a/source/xap/geeqie/geeqie.SlackBuild b/source/xap/geeqie/geeqie.SlackBuild
index 8d45fe6c2..a45031076 100755
--- a/source/xap/geeqie/geeqie.SlackBuild
+++ b/source/xap/geeqie/geeqie.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2010, 2011, 2012, 2015, 2016, 2018 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2010, 2011, 2012, 2015, 2016, 2018, 2022 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -87,26 +87,31 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-zcat $CWD/fix-build-re-docs.diff.gz | patch -p1 --verbose || exit 1
mv ChangeLog.gqview ChangeLog
-./autogen.sh
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- --with-readmedir=/usr/doc/geeqie-$VERSION \
- --with-htmldir=/usr/doc/geeqie-$VERSION/html \
- --program-prefix="" \
- --program-suffix="" \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+ --buildtype=release \
+ -Dgq_helpdir=/usr/doc/geeqie-$VERSION \
+ -Dgq_htmldir=/usr/doc/geeqie-$VERSION/html \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
@@ -121,6 +126,18 @@ if [ -r ChangeLog ]; then
touch -r ChangeLog $DOCSDIR/ChangeLog
fi
+# Actually, this looks fairly useless:
+rm -rf $PKG/usr/doc/$PKGNAM-$VERSION/html
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Looks like mandir is ignored :/
+if [ -d $PKG/usr/share/man -a ! -d $PKG/usr/man ]; then
+ mv $PKG/usr/share/man $PKG/usr
+ rmdir $PKG/usr/share 2> /dev/null
+fi
+
# Compress and if needed symlink the man pages:
if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man